/* stylelint-disable no-descending-specificity */

h1, h2, h3, h4, h5, h6,
.headline-1, .headline-2, .headline-3, .headline-4,
.subtitle {
    font-family: $font-accent;
    font-weight: $ui-font-bold;
    line-height: (4 / 3);

    + .subtitle {
        margin-top: $padding-xsmall;
    }
}

h1,
.headline-1 {
    font-size: 3rem;

    @include media-breakpoint-up("md") {
        font-size: 4rem;
    }
}

h2,
.headline-2 {
    font-size: 2.4rem;

    @include media-breakpoint-up("md") {
        font-size: 3rem;
    }
}

h3,
.headline-3 {
    font-size: 2rem;

    @include media-breakpoint-up("md") {
        font-size: 2.4rem;
    }
}

h4,
.headline-4 {
    font-size: 1.8rem;

    @include media-breakpoint-up("md") {
        font-size: 2rem;
    }
}

h5,
.headline-5 {
    font-size: 1.6rem;
}

.subtitle {
    display: block;

    font-weight: $ui-font-medium;
}
